package ec.gob.bsg.accesobsgservice;

import ec.gob.bsg.accesobsgservice.MensajeError;
import ec.gob.bsg.accesobsgservice.ValidarPermiso;
import ec.gob.bsg.accesobsgservice.ValidarPermisoPeticion;
import ec.gob.bsg.accesobsgservice.ValidarPermisoResponse;
import ec.gob.bsg.accesobsgservice.ValidarPermisoRespuesta;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class ObjectFactory {

    private static final QName _ValidarPermisoResponse_QNAME = new QName("http://bsg.gob.ec/AccesoBSGService", "ValidarPermisoResponse");
    private static final QName _ValidarPermiso_QNAME = new QName("http://bsg.gob.ec/AccesoBSGService", "ValidarPermiso");

    public ValidarPermiso createValidarPermiso() {
        return new ValidarPermiso();
    }

    public ValidarPermisoResponse createValidarPermisoResponse() {
        return new ValidarPermisoResponse();
    }

    public ValidarPermisoPeticion createValidarPermisoPeticion() {
        return new ValidarPermisoPeticion();
    }

    public ValidarPermisoRespuesta createValidarPermisoRespuesta() {
        return new ValidarPermisoRespuesta();
    }

    public MensajeError createMensajeError() {
        return new MensajeError();
    }

    @XmlElementDecl(namespace = "http://bsg.gob.ec/AccesoBSGService", name = "ValidarPermisoResponse")
    public JAXBElement<ValidarPermisoResponse> createValidarPermisoResponse(ValidarPermisoResponse value) {
        return new JAXBElement(_ValidarPermisoResponse_QNAME, ValidarPermisoResponse.class, null, value);
    }

    @XmlElementDecl(namespace = "http://bsg.gob.ec/AccesoBSGService", name = "ValidarPermiso")
    public JAXBElement<ValidarPermiso> createValidarPermiso(ValidarPermiso value) {
        return new JAXBElement(_ValidarPermiso_QNAME, ValidarPermiso.class, null, value);
    }
}


/* Location:              /data/COMACO/SINCOAR2022/Entorno/produccion/servers/mule-standalone-3.5.0/apps/centralwebservices-2.1.zip!/centralwebservices-2.1/classes/ec/gob/bsg/accesobsgservice/ObjectFactory.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */
